#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 clash-ghc
version:              1.6.4
visibility:           public
id:                   clash-ghc-1.6.4-8lUaUspjkTc1LHuKTV7KMw
key:                  clash-ghc-1.6.4-8lUaUspjkTc1LHuKTV7KMw
license:              BSD-2-Clause
copyright:
    Copyright © 2012-2016, University of Twente,
    2016-2017, Myrtle Software Ltd,
    2017-2019, QBayLogic B.V., Google Inc.

maintainer:           QBayLogic B.V. <devops@qbaylogic.com>
author:               The Clash Authors
homepage:             https://clash-lang.org/
synopsis:
    Clash: a functional hardware description language - GHC frontend

description:
    Clash is a functional hardware description language that borrows both its
    syntax and semantics from the functional programming language Haskell. The
    Clash compiler transforms these high-level descriptions to low-level
    synthesizable VHDL, Verilog, or SystemVerilog.

    Features of Clash:

    * Strongly typed, but with a very high degree of type inference, enabling both
    safe and fast prototyping using concise descriptions.

    * Interactive REPL: load your designs in an interpreter and easily test all
    your component without needing to setup a test bench.

    * Higher-order functions, with type inference, result in designs that are
    fully parametric by default.

    * Synchronous sequential circuit design based on streams of values, called
    @Signal@s, lead to natural descriptions of feedback loops.

    * Support for multiple clock domains, with type safe clock domain crossing.


    This package provides:

    * Clash Compiler binary using GHC/Haskell as a frontend


    Prelude library: <https://hackage.haskell.org/package/clash-prelude>

category:             Hardware
abi:                  3e840d6ea477855a327984ec53930ec0
exposed:              True
exposed-modules:
    Clash.GHC.Evaluator Clash.GHC.Evaluator.Primitive
    Clash.GHC.GenerateBindings Clash.GHC.LoadModules
    Clash.GHC.NetlistTypes Clash.GHC.PartialEval
    Clash.GHC.PartialEval.Eval Clash.GHC.PartialEval.Primitive
    Clash.GHC.PartialEval.Quote Clash.GHCi.Common Clash.Main

hidden-modules:
    Clash.GHCi.Leak Clash.GHCi.UI Clash.GHCi.UI.Info
    Clash.GHCi.UI.Monad Clash.GHCi.UI.Tags Clash.GHC.ClashFlags
    Clash.GHC.GHC2Core Clash.GHC.LoadInterfaceFiles Clash.GHC.Util
    Paths_clash_ghc Clash.GHCi.Util

import-dirs:          /usr/lib/ghc-9.0.2/site-local/clash-ghc-1.6.4
library-dirs:         /usr/lib/ghc-9.0.2/site-local/clash-ghc-1.6.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/clash-ghc
hs-libraries:         HSclash-ghc-1.6.4-8lUaUspjkTc1LHuKTV7KMw
depends:
    Cabal-3.4.1.0 array-0.5.4.0 base-4.15.1.0 bytestring-0.10.12.1
    clash-lib-1.6.4-L9gMlitvl1x285Ze2Gvu0a
    clash-prelude-1.6.4-HubTUd2LdhSFl4sNORdSF3
    concurrent-supply-0.1.8-EpPlLqYML0VBIlkCtRISAH containers-0.6.4.1
    data-binary-ieee754-0.4.4-6nKeQnWkGoLJGejCHaRaWS deepseq-1.4.5.0
    directory-1.3.6.2 exceptions-0.10.4
    extra-1.7.13-8ROQrm3ACzLEijpBIEASyc filepath-1.4.2.1 ghc-9.0.2
    ghc-bignum-1.1 ghc-boot-9.0.2 ghc-prim-0.7.0
    ghc-typelits-extra-0.4.4-JLJoMxHiS2zEdTD8TJ40pf
    ghc-typelits-knownnat-0.7.7-E1CuLj7rqHU601SR0KEi35
    ghc-typelits-natnormalise-0.7.7-G0AB6dFH7LNFd3wMpJtYE8 ghci-9.0.2
    hashable-1.4.2.0-7UVOGh0pBDMGm1lHduVYaK haskeline-0.8.2
    lens-5.2.2-47B4YqBJtpp1VmgwIPDlDX mtl-2.2.2
    primitive-0.7.4.0-I1O4QOaB8j8Amk16YP3J6x process-1.6.13.2
    reflection-2.1.7-ArMvwTF08RPI9Uzl9TwPCW
    split-0.2.3.5-6Lqu2oz95jc1N9v3HMFWBy template-haskell-2.17.0.0
    text-1.2.5.0 time-1.9.3 transformers-0.5.6.2
    uniplate-1.6.13-9zlbDMB9Be87QTh8JQ4mc4 unix-2.7.2.2
    unordered-containers-0.2.19.1-DN3OuUdFAXrC8rLtkEuGTl
    utf8-string-1.0.2-7Tb7x00hgKjJDQH4dkHBM1
    vector-0.13.0.0-8c7RlyjNINpFLowVEJNlQ1

haddock-interfaces:   /usr/share/doc/clash-ghc/html/clash-ghc.haddock
haddock-html:         /usr/share/doc/clash-ghc/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

